import { Directive, ElementRef, Input, Renderer } from '@angular/core';
import { Config } from '../../config/config';
import { Form } from '../../util/form';
import { Ion } from '../ion';
/**
 * @hidden
 */
export class ItemDivider extends Ion {
    /**
     * @param {?} form
     * @param {?} config
     * @param {?} elementRef
     * @param {?} renderer
     */
    constructor(form, config, elementRef, renderer) {
        super(config, elementRef, renderer, 'item-divider');
    }
    /**
     * \@input {string} The color to use from your Sass `$colors` map.
     * Default options are: `"primary"`, `"secondary"`, `"danger"`, `"light"`, and `"dark"`.
     * For more information, see [Theming your App](/docs/v2/theming/theming-your-app).
     * @param {?} val
     * @return {?}
     */
    set color(val) {
        this._setColor(val);
    }
    /**
     * \@input {string} The mode determines which platform styles to use.
     * Possible values are: `"ios"`, `"md"`, or `"wp"`.
     * For more information, see [Platform Styles](/docs/v2/theming/platform-specific-styles).
     * @param {?} val
     * @return {?}
     */
    set mode(val) {
        this._setMode(val);
    }
}
ItemDivider.decorators = [
    { type: Directive, args: [{
                selector: 'ion-item-divider',
                host: {
                    'class': 'item-divider'
                }
            },] },
];
/**
 * @nocollapse
 */
ItemDivider.ctorParameters = () => [
    { type: Form, },
    { type: Config, },
    { type: ElementRef, },
    { type: Renderer, },
];
ItemDivider.propDecorators = {
    'color': [{ type: Input },],
    'mode': [{ type: Input },],
};
function ItemDivider_tsickle_Closure_declarations() {
    /** @type {?} */
    ItemDivider.decorators;
    /**
     * @nocollapse
     * @type {?}
     */
    ItemDivider.ctorParameters;
    /** @type {?} */
    ItemDivider.propDecorators;
}
//# sourceMappingURL=item-divider.js.map